EDIT - feature request #7611
task # 7596 (Closed): PhycoBank Portal - Formatting

media types with media uris are clickable
07/31/2018 05:57 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal

Description

Media types should be rendered in the following form depending on their type:

e unpublished (has collection information): "[icon] {collection} {accession_number}" in case the media url is set the accession
number can be rendered as link in webapplications

¢ published (no collection information): "[icon] {ref_detail} in {reference}" in case the media url is set the ref_detail can be
rendered as link in webapplications

Related issues:
Copied from EDIT - bug #7608: TypeDesignationSetManager: string representatio... Closed

Associated revisions

Revision 723aa98c - 08/03/2018 06:42 PM - Andreas Kohlbecker

ref #7611 adding clickable external link to media specimen types with uri

Revision 58a5f647 - 08/03/2018 06:45 PM - Andreas Kohlbecker

ref #7611 implementing typeDesignation media service and MediaDTO

History

#1 - 07/31/2018 05:57 PM - Andreas Kohlbecker

- Copied from bug #7608: TypeDesignationSetManager: string representations for media types are missing added

#2 - 07/31/2018 05:59 PM - Andreas Kohlbecker
- Description updated
- Status changed from In Progress to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

It would be much easier to implement if the "[icon]" text would be clickable instead.
What do you think about this idea?

#3 - 07/31/2018 06:11 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

Good idea, than the "[icon]" string makes really sense.

#4 - 08/03/2018 06:53 PM - Andreas Kohlbecker

- Status changed from Feedback to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
- Priority changed from New to Priority14

- % Done changed from 0 to 50

Implemented, but | needed to display the link to the image as icon, which now directly follows the "[icon]". This was need for consistency with other
pages in the dataportal.
Please review.

#5 - 08/20/2018 01:57 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Es funktioniert (ist allerdings nicht besonders aufféllig).
Beispiel in der Ausgabe

http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F100023
PhycoBank ID 100023 mit Link zum MfN
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F100023
http://www.tcpdf.org

